#ifdef STATISTICS
#include "Behavioural/include/Stat.h"

namespace morpheo {
namespace behavioural {  
  void Stat::reset (bool save)
  {
    for (std::map<std::string, var_t>::iterator i=_list_operand->begin();
         i!= _list_operand->end();
         ++i)
      {
        if (save)
          i->second.save_counter.push_back(*(i->second.counter));

        *(i->second.counter) = 0;
      }
  }
};  
};
#endif
